org.codehaus.groovy.ast.builder

## Class AstBuilderTransformation

- java.lang.Object
- - org.codehaus.groovy.ast.MethodCallTransformation
  - - org.codehaus.groovy.ast.builder.AstBuilderTransformation

- All Implemented Interfaces:
    ASTTransformation

      public class AstBuilderTransformation
      extends MethodCallTransformation

  Transformation to capture ASTBuilder from code statements.

  The AstBuilder "from code" approach is used with a single Closure parameter. This transformation converts the ClosureExpression back into source code and rewrites the AST so that the "from string" builder is invoked on the source. In order for this to work, the closure source must be given a goto label. It is the "from string" approach's responsibility to remove the BlockStatement created by the label.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AstBuilderTransformation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected GroovyCodeVisitor` | `getTransformer(ASTNode[] nodes, SourceUnit sourceUnit)`

    - ### Methods inherited from class org.codehaus.groovy.ast.MethodCallTransformation

      `visit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AstBuilderTransformation

          public AstBuilderTransformation()

  - ### Method Detail

    - #### getTransformer

          protected GroovyCodeVisitor getTransformer(ASTNode[] nodes,
                                                     SourceUnit sourceUnit)

      Specified by:
        `getTransformer` in class `MethodCallTransformation`